#include "cpu.h"
#include "mips.h"
#include "au1500.h"
#include "cpuio.h"

	.global getEPC
getEPC:
	mfc0 v0,C0_EPC
	j	ra
	nop

	.global getSR
getSR:
	mfc0 v0,CP0_Status
	j	ra
	nop

	.global setSR
setSR:
	mtc0 a0,CP0_Status
	j	ra
	nop

/* tlbwrite:
 * assembly routine to write a TLB.  A0 contains the desired
 * index, while a1 is a pointer to the TLB structure defined
 * in cpuio.c
 */
	.global  tlbwrite
tlbwrite:
	lw      t0,(a1)				/* load EntryLo0 */
	mtc0    t0,CP0_EntryLo0
	lw      t0,4(a1)			/*   PageMask */
	mtc0    t0,CP0_PageMask
	lw      t0,8(a1)			/*   EntryLo1 */
	mtc0    t0,CP0_EntryLo1
	lw      t0,12(a1)			/*   EntryHi */
	mtc0    t0,CP0_EntryHi
	bltz    a0,tlbwrite1		/* write random if index < 0 */
	mtc0    a0,CP0_Index		/* set index register */
	tlbwi
	jr      ra
	nop
tlbwrite1:
	tlbwr
	jr      ra
	nop
