/* tfsdev.h:
 *	This file is ONLY included by tfs.c.  It is separate from tfs.h because
 *	it is target-specific.  It is not part of config.h because it includes
 *	the declaration of the tfsdevtbl[].
 *	A prefix in the name of the file determines what device is used to store
 *	that file.  If no prefix is found the first device in the table is
 *	used as a default.  The syntax of the prefix is "//STRING/" where STRING
 *	is user-definable, but the initial // and final / are required by tfs
 *	code.
 *
 *	General notice:
 *	This code is part of a boot-monitor package developed as a generic base
 *	platform for embedded system designs.  As such, it is likely to be
 *	distributed to various projects beyond the control of the original
 *	author.  Please notify the author of any enhancements made or bugs found
 *	so that all may benefit from the changes.  In addition, notification back
 *	to the author will allow the new user to pick up changes that may have
 *	been made by other users after this version of the code was distributed.
 *
 *	Author:	Torsten Tetz, Bosch Security Systems
 *	based on template/tfsdev.h file by Ed Sutter
 */
struct tfsdev tfsdevtbl[] = {
	{	"//FLASH/",
		TFSSTART,
		TFSEND,
		TFSSPARE,
		TFSSPARESIZE,
		TFSSECTORCOUNT,
		TFS_DEVTYPE_FLASH, },

	{ 0, TFSEOT,0,0,0,0,0 }
};

#define TFSDEVTOT ((sizeof(tfsdevtbl))/(sizeof(struct tfsdev)))
